Package org.springframework.web.servlet.function

# Interface EntityResponse<T>

Type Parameters:
  `T` - the entity type

All Superinterfaces:
  `ServerResponse`

public interface EntityResponse<T> extends ServerResponse
Entity-specific subtype of `ServerResponse` that exposes entity data.

Since:
  5.2
Author:
  Arjen Poutsma

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`EntityResponse.Builder<T>`
Defines a builder for `EntityResponse`.

## Nested classes/interfaces inherited from interface org.springframework.web.servlet.function.ServerResponse

`ServerResponse.BodyBuilder, ServerResponse.Context, ServerResponse.HeadersBuilder<B extends ServerResponse.HeadersBuilder<B>>, ServerResponse.SseBuilder, ServerResponse.StreamBuilder`

## Method Summary

Modifier and Type
Method
Description
`T`
`entity()`
Return the entity that makes up this response.
`static <T> EntityResponse.Builder<T>`
`fromObject(T t)`
Create a builder with the given object.
`static <T> EntityResponse.Builder<T>`
`fromObject(T t, org.springframework.core.ParameterizedTypeReference<T> entityType)`
Create a builder with the given object and type reference.

### Methods inherited from interface org.springframework.web.servlet.function.ServerResponse

`cookies, headers, rawStatusCode, statusCode, writeTo`

## Method Details

### entity

T entity()
Return the entity that makes up this response.

### fromObject

static <T> EntityResponse.Builder<T> fromObject(T t)
Create a builder with the given object.

Type Parameters:
  `T` - the type of element contained in the entity
Parameters:
  `t` - the object that represents the body of the response
Returns:
  the created builder

### fromObject

static <T> EntityResponse.Builder<T> fromObject(T t, org.springframework.core.ParameterizedTypeReference<T> entityType)
Create a builder with the given object and type reference.

Type Parameters:
  `T` - the type of element contained in the entity
Parameters:
  `t` - the object that represents the body of the response
  `entityType` - the type of the entity, used to capture the generic type
Returns:
  the created builder